
На улице мокро ?
#include <PS2X_lib.h>  //for v1.6
#include <Servo.h>


#define PS2_DAT 11
#define PS2_CMD 6
#define PS2_SEL 13
#define PS2_CLK 12

#define ENA 10
#define IN1 8
#define IN2 7
#define IN3 3
#define IN4 4
#define ENB 9

Servo myservo1;
Servo myservo2;
Servo myservo3;

PS2X ps2x;
int error = 0;
byte type = 0;
byte vibrate = 0;
void motorControl(int AM, int BM, boolean in1, boolean in2, boolean in3, boolean in4)
{

  analogWrite(ENA, AM);
  analogWrite(ENB, BM);
  digitalWrite(IN1, in1);
  digitalWrite(IN2, in2);
  digitalWrite(IN3, in3);
  digitalWrite(IN4, in4);
}


void setup() {
  Serial.begin(57600);

  error = ps2x.config_gamepad(12, 6, 13, 11, true, true);

  if (error == 0) {
    Serial.println("Found Controller, configured successful");
    Serial.println("Try out all the buttons, X will vibrate the controller, faster as you press harder;");
    Serial.println("holding L1 or R1 will print out the analog stick values.");
    Serial.println("Go to www.billporter.info for updates and to report bugs.");
  } else if (error == 1)
    Serial.println("No controller found, check wiring, see readme.txt to enable debug. visit www.billporter.info for troubleshooting tips");
  else if (error == 2)
    Serial.println("Controller found but not accepting commands. see readme.txt to enable debug. Visit www.billporter.info for troubleshooting tips");
  else if (error == 3)
    Serial.println("Controller refusing to enter Pressures mode, may not support it. ");


  type = ps2x.readType();

  

    pinMode(ENA, OUTPUT);
    pinMode(IN1, OUTPUT);
    pinMode(IN2, OUTPUT);
    pinMode(IN3, OUTPUT);
    pinMode(IN4, OUTPUT);
    pinMode(ENB, OUTPUT);


     myservo1.attach(29); //верх
      myservo2.attach(26); //низ 
       myservo3.attach(28); //середина 0-100

 myservo1.write(90); 
  myservo2.write(90); 
   myservo3.write(90); 
       
  
}
 

void loop() {


  // DualShock Controller
  // read controller and set large motor to spin at 'vibrate' speed
  ps2x.read_gamepad(false, vibrate);


  // will be TRUE as long as button is pressed

  if (ps2x.Button(PSB_GREEN)) {
    motorControl (255, 255, LOW, HIGH, LOW, HIGH);
  }
  else if (ps2x.Button(PSB_BLUE)) {

    motorControl (255, 255, HIGH, LOW, HIGH, LOW);
  }
  else if (ps2x.Button(PSB_PINK)) {
    motorControl  (255, 255, HIGH, LOW, LOW, HIGH);
  }

  else if (ps2x.Button(PSB_RED)) {
    motorControl  (255, 255, LOW, HIGH, HIGH, LOW);
  }
  else motorControl  (0, 0, LOW, LOW, LOW, LOW);


  delay(50);


   if (ps2x.Button(PSB_PAD_DOWN))
   {
myservo3.write(90);
   }
   
   if (ps2x.Button(PSB_PAD_UP))
   {
    myservo3.write(20);
   }


  if (ps2x.Button(PSB_PAD_RIGHT))
{
 myservo2.write(30);
}

  if (ps2x.Button(PSB_PAD_LEFT))
  {
 myservo2.write(90);
}


 if (ps2x.Button(PSB_L1))
{
   myservo1.write(130);
}

if (ps2x.Button(PSB_L2))
{
   myservo1.write(70);
}



}